sfcode An Online Competing and Development Environment

supports-color

> Detect whether a terminal supports color

# Install

$ npm install --save supports-color

# Usage

var supportsColor = require('supports-color');
if (supportsColor) {
console.log('Terminal supports color');
}

It obeys the `--color` and `--no-color` CLI flags.

For situations where using `--color` is not possible, add an environment variable `FORCE_COLOR` with any value to force color. Trumps `--no-color`.

# Related

- supports-color-cli - CLI for this module
- chalk - Terminal string styling done right

# License

MIT © Sindre Sorhus